<?xml version="1.0" encoding="UTF-8"?>
<!--
* ===================================================
* @author
* Name: Kishore
* Email: kishore@kishoreweblabs.com
* Url: http://www.kishoreweblabs.com
* ===================================================
* @copyright Copyright (C) 2015 kishoreweblabs (http://www.kishoreweblabs.com). All rights reserved.
* @license see KISHOREWEBLABS PROPRIETARY USE LICENSE (v1.0).
* This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* I hereby declare no warranty or loss to anybody using this code.
-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="xml" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" encoding="UTF-8" />
    <xsl:include href="alphaindex.xsl" />
    <xsl:template match="alphaMenu">
        <div class="row-fluid">
            <div class="navbar nav-collapse">
                <xsl:if test="count( fields/* )">
                    <div class="span1 alphalist">
                        <div class="btn-group">
                            <a class="btn dropdown-toggle btn-mini" data-toggle="dropdown" href="#">
                                <span class="caret"></span>
                            </a>
                            <ul class="dropdown-menu">
                                <xsl:for-each select="fields/*">
                                    <li>
                                        <a href="#" rel="{name()}" class="alpha-switch">
                                            <xsl:value-of select="." />
                                        </a>
                                    </li>
                                </xsl:for-each>
                            </ul>
                        </div>
                    </div>
                </xsl:if>
                <div id="alpha-index" class="span11">
                    <xsl:apply-templates select="letters" />
                </div>
            </div>
        </div>
        <div class="clearfix"/>
    </xsl:template>
</xsl:stylesheet>
