<?xml version="1.0" encoding="UTF-8"?>
<!--
* ===================================================
* @author
* Name: Kishore
* Email: kishore@kishoreweblabs.com
* Url: http://www.kishoreweblabs.com
* ===================================================
* @copyright Copyright (C) 2015 kishoreweblabs (http://www.kishoreweblabs.com). All rights reserved.
* @license see KISHOREWEBLABS PROPRIETARY USE LICENSE (v1.0).
* This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* I hereby declare no warranty or loss to anybody using this code.
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" encoding="UTF-8" />
	<xsl:template match="messages">
		<div class="clearfix" />
		<xsl:for-each select="./*">
			<div class="alert alert-{name()}">
				<button type="button" class="close" data-dismiss="alert">×</button>
				<xsl:for-each select="./*">
					<xsl:value-of select="." />
					<div class="clearfix" />
				</xsl:for-each>
			</div>
		</xsl:for-each>
		<div class="alert hide" id="sobipro-message">
			<button type="button" class="close" data-dismiss="alert">×</button>
		</div>
	</xsl:template>
</xsl:stylesheet>
