/*
* ===================================================
* @author
* Name: Kishore
* Email: kishore@kishoreweblabs.com
* Url: http://www.kishoreweblabs.com
* ===================================================
* @copyright Copyright (C) 2015 kishoreweblabs (http://www.kishoreweblabs.com). All rights reserved.
* @license see KISHOREWEBLABS PROPRIETARY USE LICENSE (v1.0).
* This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* I hereby declare no warranty or loss to anybody using this code.
*/

    SobiPro.jQuery(document).ready(function() {
        jq = SobiPro.jQuery;
     //contact form
        contactform = jq('#contact-form-here').attr('class');

        if (contactform) {
            contactform = '#' + contactform + '_' + 'form';

            jq(contactform).appendTo('#contact-form-here');

            jq('#contact-form-here').addClass('well');
        } else {
            jq('#contact-form-here').hide();
        }

        // Fancy box 
        if (jq('.fancybox').length > 0) {
            jq('.fancybox').each(function() {

                css = jq(this).attr('class');
                rel = css.replace('fancybox', '').trim();
                jq(this).attr('rel', rel);
            });

            jq('.fancybox').fancybox();
        }
        var slideElement;


        jq(document).on('click', '.show-detail-ratings ', function() {

            slideElement = jq(this).closest('.review-container-row');
            if (jq(slideElement).find('.rating-criteria').is(':visible')) {

                jq(this).find('.fa').attr('class', 'fa fa-caret-down');
            } else {
                jq(this).find('.fa').attr('class', 'fa fa-caret-up');
            }

      jq(slideElement).find('.rating-criteria').slideToggle();
            return false;
        });



        var slideshow = Array;
        jq('.slideshow').each(function(i) {

            jq(this).closest('.slideshow-wrapper').attr('slideshow_count', i);
            jq(this).attr('id', 'slideshow' + i);
            data = jq(this).attr('data');

            data = cleandata(data);
            /* nav=Array;
             nav[0]="<i class='fa fa-chevron-circle-left'></i>";
             nav[1]="<i class='fa fa-chevron-circle-right'></i>";
             data['navigationText']= nav;*/

            data['afterInit'] = function() {
                jq('#slideshow' + i + ' .slide-title').removeClass('slide-title_effect');
                jq('#slideshow' + i + ' .active').find('.slide-title').addClass('slide-title_effect');
            };
            data['afterMove'] = function() {
                jq('#slideshow' + i + ' .slide-title').removeClass('slide-title_effect');
                jq('#slideshow' + i + ' .active').find('.slide-title').addClass('slide-title_effect');
            };
            var slideshow = jq('#slideshow' + i);

            slideshow.owlCarousel(data);

        });

        var slide_images = Array;
        var slide_thumbs = Array;
        jq('.slideshow-thumb').each(function(i) {
            jq(this).attr('slideshow_thumb_count', i);
            jq(this).find('.slide-images').attr('id', 'slide_images' + i);
            jq(this).find('.slide-thumbs').attr('id', 'slide_thumbs' + i);
            var slide_images = jq('#slide_images' + i);
            var slide_thumbs = jq('#slide_thumbs' + i);


            data = jq(this).attr('data');
            data = cleandata(data);
            /*  nav=Array;
									   nav[0]="<i class='fa fa-chevron-circle-left'></i>";
									   nav[1]="<i class='fa fa-chevron-circle-right'></i>";
									   data['navigationText']= nav;*/

            data['afterInit'] = function() {
                jq('#slide_images' + i + ' .slide-title').removeClass('slide-title_effect');
                jq('#slide_images' + i + ' .active').find('.slide-title').addClass('slide-title_effect');

            };
            data['afterMove'] = function() {
                jq('#slide_images' + i + ' .slide-title').removeClass('slide-title_effect');
                jq('#slide_images' + i + ' .active').find('.slide-title').addClass('slide-title_effect');

            };
            slide_images.owlCarousel(data);


            data_thumb = jq(this).attr('data_thumb');
            data_thumb = cleandata(data_thumb);

            nav = Array;
            nav[0] = "<i class='fa fa-chevron-circle-left'></i>";
            nav[1] = "<i class='fa fa-chevron-circle-right'></i>";
            data_thumb['navigationText'] = nav;

            data_thumb['afterInit'] = function(el) {
                el.find(".owl-item").eq(0).addClass("synced");
            };
            slide_thumbs.owlCarousel(data_thumb);



        });


        jq(document).on('hover', '.active .item', function() {}, function() {

            jq(this).find('.slide-title').removeClass('slide-title_effect');

        });


        jq(".tnext").click(function() {
            count = jq(this).closest(".slideshow-thumb").attr('slideshow_thumb_count');
            jq('#slide_thumbs' + count).trigger('owl.next');



        });
        jq(".tprev").click(function() {

            count = jq(this).closest(".slideshow-thumb").attr('slideshow_thumb_count');
            jq('#slide_thumbs' + count).trigger('owl.prev');
            // console.log('#slide_thumbs'+count);
        });

        hidenavigation();

        function cleandata(data) {
        data = data.replace(/(?:\\[rn]|[\r\n]+)+/g, "");
            data = '{' + data.replace(/'/g, '"') + '}';

            d = jq.parseJSON(data);
            jq.each(d, function(index, val) {
                if (typeof(val) == 'string') {
                    if (val.indexOf('fun_') >= 0) {
                        val = val.replace("fun_", '');
                        val = eval(val);
                    }

                    d[index] = (val);
                }
                //console.log(typeof(val));
            });

            return d;
        }

        function hidenavigation() {

            jq('.owl-carousel').each(function() {
                if (jq(this).find('.item').length == 1) {

                    jq(this).prev('.sbutton-wrapper').hide();
                }

            });
        }

        function syncPosition(el) {

            var current = this.currentItem;

            count = jq(el).closest(".slideshow-thumb").attr('slideshow_thumb_count');
            dt = jq('#slide_thumbs' + count).data("owlCarousel");
            sync1 = jq('#slide_image' + count);
            sync2 = jq('#slide_thumbs' + count);
	        next_thumbs = jq(el).next('.slide-thumbs');
		     sync2.find(".owl-item")
                .removeClass("synced")
                .eq(current)
                .addClass("synced");
            //console.log((el.data("owlCarousel")));
            if (sync2.data("owlCarousel") !== undefined) {
                center(sync2, current);
            }
        }

        jq(".slide-thumbs").on("click", ".owl-item", function(e) {
            e.preventDefault();
            var number = jq(this).data("owlItem");

            st = (jq(this).closest('.slide-thumbs').prevAll('.slide-images'));
            //console.log(st);
            jq(st).trigger("owl.goTo", number);

        });

        function center(el, number) {

            sync2 = el;
            var sync2visible = sync2.data("owlCarousel").owl.visibleItems;
            var num = number;
            var found = false;
            for (var i in sync2visible) {
                if (num === sync2visible[i]) {
                    var found = true;
                }
            }

            if (found === false) {
                if (num > sync2visible[sync2visible.length - 1]) {
                    sync2.trigger("owl.goTo", num - sync2visible.length + 2);
                } else {
                    if (num - 1 === -1) {
                        num = 0;
                    }
                    sync2.trigger("owl.goTo", num);
                }
            } else if (num === sync2visible[sync2visible.length - 1]) {
                sync2.trigger("owl.goTo", sync2visible[1]);
            } else if (num === sync2visible[0]) {
                sync2.trigger("owl.goTo", num - 1);
            }

        }


    }); //jquery