<?xml version="1.0" encoding="UTF-8"?>
<!--
* ===================================================
* @author
* Name: Kishore
* Email: kishore@kishoreweblabs.com
* Url: http://www.kishoreweblabs.com
* ===================================================
* @copyright Copyright (C) 2015 kishoreweblabs (http://www.kishoreweblabs.com). All rights reserved.
* @license see KISHOREWEBLABS PROPRIETARY USE LICENSE (v1.0).
* This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* I hereby declare no warranty or loss to anybody using this code.
-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" encoding="UTF-8" />

	<xsl:include href="../common/topmenu.xsl" />
	<xsl:include href="../common/alphamenu.xsl" />
	<xsl:include href="../common/entries.xsl" />
	<xsl:include href="../common/navigation.xsl" />
	<xsl:include href="../common/messages.xsl" />
	<xsl:template match="/listing">
		<div class="SPListing">
			<div>
                <xsl:call-template name="topMenu">
                    <xsl:with-param name="searchbox">true</xsl:with-param>
                </xsl:call-template>
				<xsl:apply-templates select="alphaMenu" />
			</div>
			<xsl:apply-templates select="messages" />
			<xsl:call-template name="entriesLoop" />
			<xsl:apply-templates select="navigation" />
		</div>
	</xsl:template>
</xsl:stylesheet>