<?xml version="1.0" encoding="UTF-8"?>
<!--
* ===================================================
* @author
* Name: Kishore
* Email: kishore@kishoreweblabs.com
* Url: http://www.kishoreweblabs.com
* ===================================================
* @copyright Copyright (C) 2015 kishoreweblabs (http://www.kishoreweblabs.com). All rights reserved.
* @license see KISHOREWEBLABS PROPRIETARY USE LICENSE (v1.0).
* This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* I hereby declare no warranty or loss to anybody using this code.
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:php="http://php.net/xsl" exclude-result-prefixes="php">
	<xsl:output method="xml" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" encoding="UTF-8" />
	<xsl:include href="list.xsl" />
	<xsl:template match="/payment_details">
		<div id="SpPaymentModal">
			<div class="modal hide">
				<div class="modal-header">
					<h4>
						<xsl:value-of select="php:function( 'SobiPro::Txt', 'PAYMENT_CHOSEN_FOLLOWING_OPTIONS' )" />
					</h4>
				</div>
				<div class="modal-body">
					<xsl:call-template name="paymentTable" />
				</div>
				<div class="modal-footer">
					<a href="#" class="btn back" data-dismiss="modal">
						<xsl:value-of select="php:function( 'SobiPro::Txt', 'EN.PAYMENT_BACK_BT' )" />
					</a>
					<a href="{/payment_details/save_url}" class="btn btn-primary">
						<xsl:value-of select="php:function( 'SobiPro::Txt', 'EN.PAYMENT_SAVE_ENTRY_BT' )" />
					</a>
				</div>
			</div>
		</div>
	</xsl:template>
</xsl:stylesheet>
