<?xml version="1.0" encoding="UTF-8"?>
<!--
* ===================================================
* @author
* Name: Kishore
* Email: kishore@kishoreweblabs.com
* Url: http://www.kishoreweblabs.com
* ===================================================
* @copyright Copyright (C) 2015 kishoreweblabs (http://www.kishoreweblabs.com). All rights reserved.
@license see http://www.gnu.org/licenses/gpl-3.0.html GNU/LGPL Version 3.
* You can use, redistribute this file and/or modify it under the terms of the GNU Lesser General Public License version 3
*The user are free to edit and change  the content of file.
I hereby declare no warranty or loss to anybody using this code.
-->
    <xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:php="http://php.net/xsl">
        <xsl:output method="xml" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" encoding="UTF-8" />

        <xsl:template match="/EntriesModule">

            <div class=" owl-carousel owl-theme slideshow vcard-module vcard-module-slideshow">
                <xsl:attribute name="data">
                    <xsl:text>
                        'pagination':true, 'navigation' : false, 'singleItem' : true, 'transitionStyle' : 'backSlide', 'autoPlay':true, 'stopOnHover':true
                    </xsl:text>
                </xsl:attribute>
                <xsl:for-each select="entries/entry">
                    <div class="item ">



                        <a href="{url}" class="ctrl-emod-details" data-sid="{@id}">
                            <xsl:value-of select="name" />
                        </a>


                        <div style="clear:both"></div>

                    </div>
                </xsl:for-each>
                <!-- End for each entries -->
            </div>
        </xsl:template>
    </xsl:stylesheet>