<?xml version="1.0" encoding="UTF-8"?>
<!--
* ===================================================
* @author
* Name: Kishore
* Email: kishore@kishoreweblabs.com
* Url: http://www.kishoreweblabs.com
* ===================================================
* @copyright Copyright (C) 2015 kishoreweblabs (http://www.kishoreweblabs.com). All rights reserved.
* @license see KISHOREWEBLABS PROPRIETARY USE LICENSE (v1.0).
* This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* I hereby declare no warranty or loss to anybody using this code.
-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:php="http://php.net/xsl" exclude-result-prefixes="php">
	<xsl:output method="xml" encoding="UTF-8" />
	<xsl:template match="letters|/menu/alphaMenu/letters">
		<xsl:variable name="letter">
			<xsl:value-of select="php:function( 'SobiPro::Request', 'letter' )" />
		</xsl:variable>
		<div class="ajax_paging pagination pagination-mini ">
			<ul>
				<xsl:for-each select="letter">
					<li>
						<xsl:if test=". = $letter">
							<xsl:attribute name="class">active</xsl:attribute>
						</xsl:if>
						<xsl:if test="not( @url )">
							<xsl:attribute name="class">disabled</xsl:attribute>
						</xsl:if>
						<xsl:choose>
							<xsl:when test="@url">
								<a href="{@url}" class="alpha">
									<xsl:value-of select="." />
								</a>
							</xsl:when>
							<xsl:otherwise>
								<a href="#">
									<xsl:value-of select="." />
								</a>
							</xsl:otherwise>
						</xsl:choose>
					</li>
				</xsl:for-each>
			</ul>
		</div>
        <div id='loadingDiv-alpha' style="clear:both; display:none; font-weight:bold; font-size:4em; text-align:center;">
    <i class="fa fa-spinner fa-spin"></i>  
 </div> 
	</xsl:template>
</xsl:stylesheet>
