<?xml version="1.0" encoding="UTF-8"?>
<!--
* ===================================================
* @author
* Name: Kishore
* Email: kishore@kishoreweblabs.com
* Url: http://www.kishoreweblabs.com
* ===================================================
* @copyright Copyright (C) 2015 kishoreweblabs (http://www.kishoreweblabs.com). All rights reserved.
* @license see KISHOREWEBLABS PROPRIETARY USE LICENSE (v1.0).
* This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* I hereby declare no warranty or loss to anybody using this code.
-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--Uncomment Below line if  review rating app is intalled-->
<xsl:import href="review.xsl" />
<xsl:output method="xml" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" encoding="UTF-8"/>


	<xsl:template name="vcard">
    
    <div class='vcard-wrapper'>
    
		
        <div class="vcard">
          <xsl:if test="string-length(fields/field_status/data)">
            <div >
            <xsl:attribute name="class">
            <xsl:text>tag status </xsl:text>
							<xsl:value-of select="fields/field_status/data" />                            
						</xsl:attribute>
            <xsl:value-of select="fields/field_status/data" />
            <!--<xsl:variable name="tagstatus"><xsl:value-of select="fields/field_status/data" /></xsl:variable>-->
             </div>
             </xsl:if>
             
             <xsl:variable name="tagstatus" select="fields/field_status/data"/>
             <div>
             
           
             </div>
                                 
            <a href="{url}">
                                        
                                        <xsl:choose>
                                        <xsl:when test="count(fields/field_image1/data/*)">
                                        <div class="vcard-image equal-height">
                                        
                                            <xsl:copy-of select="fields/field_image1/data/*" />
                                           
                                        </div>
                                         </xsl:when> 
                                          <xsl:otherwise>
                                           <div class="vcard-image equal-height no-image"></div>
                                          </xsl:otherwise>
                                         </xsl:choose>
                                        <div class="overlay">
                                            <div class="info">
                                             <xsl:if test="string-length(fields/field_price/data)">
                                                <div class="tag price">
                                                <xsl:value-of select="concat(fields/field_price/@suffix,' ')" /> 
                                                <xsl:value-of select="fields/field_price/data" /></div>
                                                </xsl:if>
                                                
                                                 <xsl:if test="string-length(fields/field_street/data)">
                                                <h3><small><i class="fa fa-map-marker"> </i></small><xsl:text> </xsl:text> <xsl:value-of select="fields/field_street/data" disable-output-escaping="yes" /></h3>
                                               </xsl:if>
                                                 
                                                
                                                <figure>
                                                 <xsl:if test="string-length(fields/field_city/data)">
                                                <xsl:value-of select="fields/field_city/data" disable-output-escaping="yes" />,
                                                <xsl:text> </xsl:text>
                                                </xsl:if>
                                                 <xsl:if test="string-length(fields/field_state/data)">
                                                <xsl:value-of select="fields/field_state/data" disable-output-escaping="yes" />
                                                <xsl:text> </xsl:text> 
                                                </xsl:if>
                                                 <xsl:if test="string-length(fields/field_zip/data)">
                                                 
                                                 <xsl:value-of select="fields/field_zip/data" disable-output-escaping="yes" />
                                                </xsl:if>
                                                
                                                 <xsl:if test="string-length(fields/field_country/data)">
                                                 <br />
                                                <xsl:value-of select="fields/field_country/data" disable-output-escaping="yes" />
                                                </xsl:if>
                                                
                                                
                                                </figure>
                                            </div>
                                            <ul>
                                             <xsl:attribute name="class">
           										 <xsl:text>additional-info </xsl:text>
										<xsl:value-of select="fields/field_status/data" />
                                        </xsl:attribute>    
                                                <li>
                                                    <header><xsl:value-of select="fields/field_area/label"  /></header>
                                                    <figure><xsl:value-of select="fields/field_area/data"  /><xsl:value-of select="concat(' ',fields/field_area/@suffix)" /></figure>
                                                </li>
                                                <li>
                                                    <header><xsl:value-of select="fields/field_beds/label"  /></header>
                                                    <figure><xsl:value-of select="fields/field_beds/data"  /></figure>
                                                </li>
                                                <li>
                                                    <header><xsl:value-of select="fields/field_baths/label"  /></header>
                                                    <figure><xsl:value-of select="fields/field_baths/data"  /></figure>
                                                </li>
                                               <!-- <li>
                                                    <header>Garages:</header>
                                                    <figure><xsl:value-of select="fields/field_garages/data" disable-output-escaping="yes" /></figure>
                                                </li>-->
                                            </ul>
                                        </div>
                                    </a>
                                   
                                   
                                    </div>
                                    
          <div class="column-right">      
             <xsl:if test="document('')/*/xsl:import[@href='review.xsl']">
        <div  class="vcard-review-rating-stars">			
			<xsl:call-template name="ratingStars"/>
        </div>
        </xsl:if>                    
		<h2 class="lead page-header">
			<a href="{url}">
				<xsl:value-of select="name" />
				<xsl:call-template name="status">
					<xsl:with-param name="entry" select="." />
				</xsl:call-template>
                
                                    
			</a>
            
		</h2>
       
        
        <div class="short-details">
        <xsl:value-of select="fields/field_short_description/data" disable-output-escaping="yes" /> 
        </div>
        <div style="clear:both"></div>
        </div>
        <div style="clear:both"></div>
        </div>
        
	</xsl:template>   
    
  </xsl:stylesheet>
