<?xml version="1.0" encoding="UTF-8"?>
<!--
* ===================================================
* @author
* Name: Kishore
* Email: kishore@kishoreweblabs.com
* Url: http://www.kishoreweblabs.com
* ===================================================
* @copyright Copyright (C) 2015 kishoreweblabs (http://www.kishoreweblabs.com). All rights reserved.
* @license see KISHOREWEBLABS PROPRIETARY USE LICENSE (v1.0).
* This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* I hereby declare no warranty or loss to anybody using this code.
-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:php="http://php.net/xsl">
	<xsl:output method="xml" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" />
	<xsl:template name="contact-inline-sampati">
		<xsl:param name="field" />
		<div id="{$field/@nid}_form">
			<!--<h3><xsl:value-of select="php:function( 'SobiPro::Txt' , 'AFCF_TPL_CONTACT_TITLE' )" />
          
			</h3>-->
           
            <form action="index.php" class="form-horizontal contact-field-form">
				<div class="alert alert-error hide" />
				<xsl:if test="//visitor/@id = 0">
					<div class="control-group">
					
						<div class="control">
                       <!-- <label><xsl:value-of select="php:function('SobiPro::Txt', 'AFCF_TPL_YOUR_NAME')" /></label>-->
							<input type="text" name="spcform[name]" class="required input" id="form-input-name" placholder="" >
                            <xsl:attribute name="placeholder">
                            <xsl:value-of select="php:function('SobiPro::Txt', 'AFCF_TPL_YOUR_NAME')" />
                            </xsl:attribute>
                            </input>
						</div>
					</div>
					<div class="control-group">
						
						<div class="control">
                       <!-- <label><xsl:value-of select="php:function('SobiPro::Txt', 'AFCF_TPL_YOUR_EMAIL')" /></label>-->
							<input type="text" name="spcform[email]" class="required input-xlarge" id="form-input-email" placholder="" >
                            <xsl:attribute name="placeholder">
                            <xsl:value-of select="php:function('SobiPro::Txt', 'AFCF_TPL_YOUR_EMAIL')" />
                            </xsl:attribute>
                            </input>
						</div>
					</div>
				</xsl:if>
				<div class="control-group">
					
					<div class="control">
                   <!-- <label>  <xsl:value-of select="php:function('SobiPro::Txt', 'AFCF_TPL_MSG')" /></label>-->
						<textarea name="spcform[report]" class="required input-xlarge" cols="50" rows="10" id="form-input-message" placholder="" >
                            <xsl:attribute name="placeholder">
                            <xsl:value-of select="php:function('SobiPro::Txt', 'AFCF_TPL_MSG')" />
                            </xsl:attribute>
                            </textarea>
					</div>
				</div>
				<div class="spEmailName">Email:
					<input type="text" name="email" />
					<br />Name:
					<input type="text" name="name" />
				</div>
				<input type="hidden" name="{php:function( 'SobiPro::Token' )}" value="1" />
				<input type="hidden" name="sid" value="{//entry/@id}" />
				<input type="hidden" name="fid" value="{$field/@id}" />
			</form>
			<div class="text-center">
				<a href="#" class="btn btn-primary contact-form-send" id="{$field/@nid}_send">
					<xsl:value-of select="php:function('SobiPro::Txt', 'AFCF_TPL_SEND_FORM')" />
				</a>
			</div>
		</div>
	</xsl:template>
</xsl:stylesheet>