<?php
/**
* ===================================================
* @author
* Name: Kishore
* Email: kishore@kishoreweblabs.com
* Url: http://www.kishoreweblabs.com
* ===================================================
* @copyright Copyright (C) 2015 kishoreweblabs (http://www.kishoreweblabs.com). All rights reserved.
@license see http://www.gnu.org/licenses/gpl-3.0.html GNU/LGPL Version 3.
* You can use, redistribute this file and/or modify it under the terms of the GNU Lesser General Public License version 3
*The user are free to edit and change  the content of file.
I hereby declare no warranty or loss to anybody using this code.
*/
defined( '_JEXEC' ) || die( 'Direct Access to this location is not allowed.' );
class mod_spadvsliderInstallerScript
{
	private $files = array(
			'spadvslider-horizontal.xsl',
			'spadvslider-image.xsl',
			'spadvslider-image-thumb.xsl',
			'sampati-entry-horizontal.xsl',
			'sampati-entry-vertical.xsl',
			'sampati-slider-1item.xsl',
			'sampati-slider-3item.xsl',
			'sampati-vcard.xsl'
				
						
	);
	
	

	public function install()
	{
		$this->installFiles(  );
	}

	public function update()
	{
		$this->installFiles();
	}

	protected function installFiles(  )
	{ 
		$target = JPATH_ROOT . '/components/com_sobipro/usr/templates/front/modules/entries/';
		if ( !( JFolder::exists( $target ) ) ) {
			JFolder::create( $target );
		}
       
		
		foreach ( $this->files as $file ) {
			if ( !file_exists( JPATH_ROOT . '/components/com_sobipro/usr/templates/front/modules/entries/'.$file ) ) {
				
				JFile::copy( dirname( __FILE__ ) . '/xsl/' . $file, JPATH_ROOT . '/components/com_sobipro/usr/templates/front/modules/entries/'.$file );
			}
			
		}
	}

	public function uninstall()
	{
		
	}
}
