/**
* ===================================================
* @author
* Name: Kishore
* Email: kishore@kishoreweblabs.com
* Url: http://www.kishoreweblabs.com
* ===================================================
* @copyright Copyright (C) 2015 kishoreweblabs (http://www.kishoreweblabs.com). All rights reserved.
@license see http://www.gnu.org/licenses/gpl-3.0.html GNU/LGPL Version 3.
* You can use, redistribute this file and/or modify it under the terms of the GNU Lesser General Public License version 3
*The user are free to edit and change  the content of file.
I hereby declare no warranty or loss to anybody using this code.
*/
if (typeof spadvslider == 'undefined') {

    var spadvslider = 1;

    jQuery(document).ready(function() {


        jq = jQuery;
        var slideElement;
        var slideshow = Array;
        jq('.slideshow').each(function(i) {

            jq(this).closest('.slideshow-wrapper').attr('slideshow_count', i);
            jq(this).attr('id', 'slideshow' + i);
            data = jq(this).attr('data');

            data = slider_cleandata(data);

            data['afterInit'] = function() {
                jq('#slideshow' + i + ' .slide-title').removeClass('slide-title_effect');
                jq('#slideshow' + i + ' .active').find('.slide-title').addClass('slide-title_effect')
            };
            data['afterMove'] = function() {
                jq('#slideshow' + i + ' .slide-title').removeClass('slide-title_effect');
                jq('#slideshow' + i + ' .active').find('.slide-title').addClass('slide-title_effect')
            };

            var slideshow = jq('#slideshow' + i);

            slideshow.owlCarousel(data);

        });

        var slide_images = Array;
        var slide_thumbs = Array;
        jq('.slideshow-thumb').each(function(i) {
            jq(this).attr('slideshow_thumb_count', i);
            jq(this).find('.slide-images').attr('id', 'slide_images' + i);
            jq(this).find('.slide-thumbs').attr('id', 'slide_thumbs' + i);
            var slide_images = jq('#slide_images' + i);
            var slide_thumbs = jq('#slide_thumbs' + i);


            data = jq(this).attr('data');
            data = slider_cleandata(data);

            data['afterInit'] = function() {
                jq('#slide_images' + i + ' .slide-title').removeClass('slide-title_effect');
                jq('#slide_images' + i + ' .active').find('.slide-title').addClass('slide-title_effect')

            };
            data['afterMove'] = function() {
                jq('#slide_images' + i + ' .slide-title').removeClass('slide-title_effect');
                jq('#slide_images' + i + ' .active').find('.slide-title').addClass('slide-title_effect')

            };
            data['afterAction'] = slider_syncPosition;

            slide_images.owlCarousel(data);


            data = jq(this).attr('data_thumb');
            data_thumb = slider_cleandata(data);



            data_thumb['afterInit'] = function(el) {
                el.find(".owl-item").eq(0).addClass("synced");
            };
            slide_thumbs.owlCarousel(data_thumb);



        });


        jq(".tnext").click(function() {
            count = jq(this).closest(".slideshow-thumb").attr('slideshow_thumb_count')
            console.log(count);
            jq('#slide_thumbs' + count).trigger('owl.next');
            console.log('#slide_thumbs' + count);

        });
        jq(".tprev").click(function() {

            count = jq(this).closest(".slideshow-thumb").attr('slideshow_thumb_count');
            jq('#slide_thumbs' + count).trigger('owl.prev');

        });

        slider_hidenavigation();

        function slider_cleandata(data) {

            data = data.replace(/(?:\\[rn]|[\r\n]+)+/g, "");
            data = '{' + data.replace(/'/g, '"') + '}';

            d = jq.parseJSON(data);

            return d;
        }

        function slider_hidenavigation() {

            jq('.owl-carousel').each(function() {
                if (jq(this).find('.item').length == 1) {

                    jq(this).prev('.sbutton-wrapper').hide();
                }

            });
        }

        function slider_syncPosition(el) {

            var current = this.currentItem;

            count = jq(el).closest(".slideshow-thumb").attr('slideshow_thumb_count')
            dt = jq('#slide_thumbs' + count).data("owlCarousel");
            sync1 = jq('#slide_image' + count)
            sync2 = jq('#slide_thumbs' + count)



            next_thumbs = jq(el).next('.slide-thumbs');


            sync2.find(".owl-item")
                .removeClass("synced")
                .eq(current)
                .addClass("synced");
            if (sync2.data("owlCarousel") !== undefined) {
                slider_center(sync2, current)
            }
        }

        jq(".slide-thumbs").on("click", ".owl-item", function(e) {
            e.preventDefault();
            var number = jq(this).data("owlItem");

            st = (jq(this).closest('.slide-thumbs').prevAll('.slide-images'));
            jq(st).trigger("owl.goTo", number);

        });

        function slider_center(el, number) {

            sync2 = el;
            var sync2visible = sync2.data("owlCarousel").owl.visibleItems;
            var num = number;
            var found = false;
            for (var i in sync2visible) {
                if (num === sync2visible[i]) {
                    var found = true;
                }
            }

            if (found === false) {
                if (num > sync2visible[sync2visible.length - 1]) {
                    sync2.trigger("owl.goTo", num - sync2visible.length + 2)
                } else {
                    if (num - 1 === -1) {
                        num = 0;
                    }
                    sync2.trigger("owl.goTo", num);
                }
            } else if (num === sync2visible[sync2visible.length - 1]) {
                sync2.trigger("owl.goTo", sync2visible[1])
            } else if (num === sync2visible[0]) {
                sync2.trigger("owl.goTo", num - 1)
            }

        }


    }); //jquery

} // top most if