<?xml version="1.0" encoding="UTF-8"?>
<!--
* ===================================================
* @author
* Name: Kishore
* Email: kishore@kishoreweblabs.com
* Url: http://www.kishoreweblabs.com
* ===================================================
* @copyright Copyright (C) 2015 kishoreweblabs (http://www.kishoreweblabs.com). All rights reserved.
@license see http://www.gnu.org/licenses/gpl-3.0.html GNU/LGPL Version 3.
* You can use, redistribute this file and/or modify it under the terms of the GNU Lesser General Public License version 3
*The user are free to edit and change  the content of file.
I hereby declare no warranty or loss to anybody using this code.
-->
    <xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:php="http://php.net/xsl">
        <xsl:output method="xml" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" encoding="UTF-8" />

        <xsl:template match="/EntriesModule">

            <div class=" owl-carousel owl-theme slideshow vcard-module vcard-module-slideshow-image">
                <xsl:attribute name="data">
                    <xsl:text>
                        'pagination':true, 'navigation' : true, 'singleItem' : true, 'transitionStyle' : 'backSlide', 'autoPlay':4000, 'stopOnHover':true, 'addClassActive': true
                    </xsl:text>
                </xsl:attribute>

                <xsl:for-each select="entries/entry">
                    <div class="item ">


                        <xsl:if test="count(fields/field_image1/data/*)">
                            <div>
                                <a href="{url}">
                                    <img>
                                    <xsl:attribute name="src">
                                        <xsl:value-of select="fields/field_image1/data/@image" />
                                    </xsl:attribute>
                                    <xsl:attribute name="class">
                                        <xsl:value-of select="fields/field_image1/@css_class" />
                                    </xsl:attribute>
                                    </img>
                                </a>
                            </div>
                        </xsl:if>
                        <xsl:if test="string-length(fields/field_image1_label/data)">
                            <div class="slide-title">
                                <xsl:value-of select="fields/field_image1_label/data" />
                            </div>
                        </xsl:if>


                    </div>
                </xsl:for-each>
                <!-- End for each entries -->
            </div>
        </xsl:template>
    </xsl:stylesheet>